Journal Grammalecte est enfin disponible pour Firefox

Posté par . Licence CC by-sa
76
16
mai
2016

Bonjour,
suite à la réussite de la campagne de financement participatif de Grammalecte, j'ai appris à l'instant la disponibilité de ce correcteur grammatical sous Firefox. Vous pouvez le télécharger depuis la page addons de Mozilla.

Si vous voulez en savoir plus, vous pouvez consulter l'annonce du développeur sur Ulule.

  • # Compatible avec quelles versions de Firefox?

    Posté par (page perso) . Évalué à 2.

    Super!

    Le plugin n'est pas compatible avec Firefox 38.5.0, mais rien n'indique avec quelles versions de Firefox c'est compatible.

    La page concernant l'annonce est très intéressante.

    • [^] # Re: Compatible avec quelles versions de Firefox?

      Posté par . Évalué à 3. Dernière modification le 16/05/16 à 23:53.

      La page AMO indique 45+ ( tout en bas dans "information de version" ) ;)

      Sinon, super, j'ai hâte de tester!

    • [^] # Re: Compatible avec quelles versions de Firefox?

      Posté par . Évalué à 2.

      Le plugin n'est pas compatible avec Firefox 38.5.0,

      Sais-tu que si il y a une application - en dehors de services - pour laquelle tu te dois de t'assurer d'être à jour de chez jours, c'est bien le navigateur web.

      On est actuellement à Firefox 46, fais le compte. :)

      • [^] # Re: Compatible avec quelles versions de Firefox?

        Posté par . Évalué à 7. Dernière modification le 17/05/16 à 00:27.

        Il doit être en ESR… même si en effet, il faudrait mieux passer en 45esr ou, à minima, en 38.8esr

        • [^] # Re: Compatible avec quelles versions de Firefox?

          Posté par (page perso) . Évalué à 4.

          Les distributions utilisent souvent Firefox ESR, pour éviter de perturber les utilisateurs avec des changement trop fréquents. Mageia par exemple a déjà l'ESR 45 dans les dépôts de test, et le poussera en mise à jour quand l'ESR 38 aura reçu sa dernière mise à jour, soit dans 5 semaines.

          ⚓ À g'Auch TOUTE! http://afdgauch.online.fr

      • [^] # Re: Compatible avec quelles versions de Firefox?

        Posté par . Évalué à 3.

        root@Jessie:/home/jerome# apt-cache madison iceweasel
         iceweasel | 45.1.1esr-1 | http://debian.univ-tlse2.fr/debian/ testing/main amd64 Packages
         iceweasel | 45.1.1esr-1 | http://debian.univ-tlse2.fr/debian/ unstable/main amd64 Packages
         iceweasel | 38.8.0esr-1~deb8u1 | http://security.debian.org/ jessie/updates/main amd64 Packages
         iceweasel | 38.7.1esr-1~deb8u1 | http://debian.univ-tlse2.fr/debian/ jessie/main amd64 Packages
        
    • [^] # Re: Compatible avec quelles versions de Firefox?

      Posté par . Évalué à 5.

      Le développeur a indiqué qu'il serait lourd de prendre en charge Firefox 38.x alors que sa vie est en train de se terminer. La prochaine version ESR est Firefox 45

      • [^] # Re: Compatible avec quelles versions de Firefox?

        Posté par . Évalué à 10.

        Le développeur a indiqué qu'il serait lourd de prendre en charge Firefox 38.x alors que sa vie est en train de se terminer.

        Merde, on a un autre développeur pour le remplacer ?

  • # Les oublis

    Posté par . Évalué à 10.

    Malheureusement, certaines fautes basiques ne sont pas détectées :

    "Il et grand"
    "Les maisons son rouges"

    • [^] # Re: Les oublis

      Posté par . Évalué à 3.

      et bien qu'orthographiques, ce sont plus exactement des erreurs syntaxiques qui, normalement (je ne sais pas comment Grammalecte fonctionne) devraient être prises en compte.

    • [^] # Problèmes pas que sous Firefox

      Posté par . Évalué à 4. Dernière modification le 17/05/16 à 18:41.

      Sous LibreOffice, Grammalecte rate aussi la première et détecte la seconde comme un accord de nombre erroné : « rouge » devrait être au singulier.

      LanguageTool signale pour la première que « et » n’est pas un verbe, et pour la seconde que « son » et « rouges » ne semblent pas bien accordés en nombre.

      Si j’ajoute un S à « son » ou que je supprime celui de « rouges », les deux correcteurs sont satisfaits.

      Cela dit, peut-être ces exemples ne sont-ils pas faciles pour un correcteur automatique (« rouge » est aussi un nom commun). À l’usage, il m’a semblé qu’ils détectent plutôt bien les fautes d’accord et pour le reste, je ne sais pas vraiment (je pense faire surtout des fautes de frappe ou d’accord).

      Théorie du pot-au-feu : « Tout milieu où existe une notion de hauteur (notamment les milieux économique, politique, professionnels) se comporte comme un pot-au-feu : les mauvaises graisses remontent. »

      • [^] # Re: Problèmes pas que sous Firefox

        Posté par . Évalué à 10.

        En ce qui concerne Grammalecte, la règle pour vérifier ce qui suit “il” en cas d’incohérence était incomplète. Ça marche avec «il mort» par exemple. Certains cas étaient oubliés. Parce que ce n’est pas du tout le genre d’erreurs que j’observe. Comme je l’ai dit lors de la campagne, j’ai peu travaillé sur certaines confusions absurdes qui témoignent d’une méconnaissance totale du français. La situation s’est améliorée depuis lors, mais il y a encore du travail sur ce point.

        Je viens d’ajouter une règle (prudente). Et si vous tapez, «il [et|hé|haie|travail]», Grammacte va vous suggérer [est|ait]. Si vous choisissez “ait”, il verra après coup que ce subjonctif est déplacé.

        Pour le deuxième cas, c’est beaucoup plus délicat.
        Peut-on garantir que son est déplacé dans la suite :

        [DET pl] [NOM pl] son [ADJ/NOM pl]
        

        Rien n’est moins sûr.

        Il faut songer qu’il est presque toujours facile de repérer un erreur dans un contexte donné, mais repérer une erreur qui n’engendre aucun faux positif dans tous les autres contextes possibles, c’est bien plus difficile.

    • [^] # Re: Les oublis

      Posté par . Évalué à 1.

      C'est pour cela que j'ai fini par acheter Antidote !

      • [^] # Re: Les oublis

        Posté par (page perso) . Évalué à 2.

        En dehors du fait que ça n’est pas un logiciel libre, c’est quand même assez cher pour beaucoup de gens.

        Écrit en Bépo selon l’orthographe de 1990

        • [^] # Re: Les oublis

          Posté par . Évalué à 1.

          Certes, mais lorsqu’on écrit assez mal le français, au travail ça devient gênant !
          Et j'ai eu un peu de mal à aller demander à mon chef de m'acheter un correcteur grammatical pour Linux, alors qu'il en a un dans son Word !
          Alors, j'assume mes choix ! Ça n'empêche pas d'avoir fait une petite contribution à la campagne pour le gros travail fait sur Grammalect…

          • [^] # Re: Les oublis

            Posté par (page perso) . Évalué à 2.

            Antidote est quand même bien meilleure que le correcteur de Word — je ne sais comment ce dernier se compare par rapport à Grammalecte par contre.

            Quant à «mal» parler le français: en vérité, un certain nombre d’erreurs passent inaperçues auprès d’un très grand nombre de personne, comme près et prêt.

            Écrit en Bépo selon l’orthographe de 1990

    • [^] # Re: Les oublis

      Posté par . Évalué à 1. Dernière modification le 20/05/16 à 11:30.

      Dans la catégorie des faux positifs, en utilisant Grammalecte sur un texte de vulgarisation scientifique (donc relativement complexe, l'air de rien), je suis tombé sur un faux positif (Grammalecte 5.4.1) :

      La force avec laquelle l'éolienne freine le vent peut-être contrôlée. (Il me propose contrôlé, car vent est masculin).

      Encore merci pour ce programme qui aide énormément !

      • [^] # Re: Les oublis

        Posté par (page perso) . Évalué à 8. Dernière modification le 20/05/16 à 12:05.

        il y a un tiret en trop à peut être, ça peut peut-être perturber.

        • [^] # Re: Les oublis

          Posté par . Évalué à 6.

          Exact. Sans le tiret, il accepte.

          En fait, il est plus doué que moi en grammaire.

  • # Sources et license

    Posté par (page perso) . Évalué à 8.

    Excellent. Où peut-on trouver les sources ? J'ai bien trouvé un lien vers une archive source, mais c'est une ancienne version, par rapport à l'extension Firefox qui est en 0.5.21… il ne semble pas que l'extension elle-même soit en format source, parce qu'elle contient apparemment du contenu généré, par exemple grammalecte/fr/phonet.js.

    Au passage, il y a un problème de licence, au moins sur les fichiers grammalecte/fr/lexicographe.js et data/dictionaries/fr-FR.aff qui sont visiblement sous MPL-2 et non sous GPL-3 comme le suppose les informations globales de l'extension.

    • [^] # Re: Sources et license

      Posté par . Évalué à 10. Dernière modification le 17/05/16 à 12:21.

      Il faut juste me laisser le temps de respirer un peu. Je viens de mettre à jour.
      Hier soir, Google Alert m’a signalé une news sur la sortie de Grammalecte, alors que je n’avais encore rien annoncé sur les réseaux (je n’avais posté la nouvelle que sur mon forum). J’attendais que Mozilla valide le code afin que la version 0.5.4 soit visible.
      Bref, du coup, c’est une sortie un peu à l’arrache…

      Il n’y a pas de problème de licence. Seuls certains éléments sont en GPL3.

      • [^] # Re: Sources et license

        Posté par . Évalué à 10.

        quand tu auras le temps, tu pourras faire un journal ? j'ai plusieurs questions sur l'ensemble du projet, humain, financier et technique a poser.

  • # Et thunderbird ?

    Posté par . Évalué à 6. Dernière modification le 17/05/16 à 12:14.

    Je pense qu'une version pour Thunderbird sera très bienvenue !

    En attendant, merci pour ce travail.

    [EDIT] : je viens de voir le commentaire à ce sujet sur le site du projet.

    • [^] # Re: Et thunderbird ?

      Posté par (page perso) . Évalué à 10.

      [EDIT] : je viens de voir le commentaire à ce sujet sur le site du projet.

      Et voici le commentaire pour ceux qui sont trop fainéants pour le chercher sur le site :

      Je n’ai pas encore commencé le travail sur ce point. En théorie, puisque Thunderbird intègre le moteur de JavaScript de Firefox, le cœur du correcteur n’a pas à être modifié. En revanche, tout ce qui concerne l’interface est probablement à revoir. Comme Thunderbird est abandonné par Mozilla et survit entre deux eaux (il est probable que Thunderbird passe sous une autre bannière: celle de TDF peut-être), sa documentation est en pleine décrépitude, le désordre règne, je ne sais pas encore ce qui est faisable, et j’ignore combien de temps ça va me prendre.

  • # Support Palemoon ?

    Posté par (page perso) . Évalué à 2.

    C'est normal que ça ne puisse pas être installé dans Palemoon, une raison particulière qui ferait que ça marche pas ou alors juste pas envie de supporter les autres navigateurs basés sur Gecko ?

    « Je vois bien à quels excès peut conduire une démocratie d'opinion débridée, je le vis tous les jours. » (Nicolas Sarkozy)

    • [^] # Re: Support Palemoon ?

      Posté par . Évalué à 5. Dernière modification le 18/05/16 à 08:59.

      Pourquoi ça ne fonctionne pas sur Palemoon? Pas la moindre idée. Probablement parce que j’utilise une API qui n’est pas/plus supportée?

      http://nabble.documentfoundation.org/Grammalecte-v0-5-tp4183712p4183826.html

      Palemoon said:

      In Firefox 29, Mozilla adopted a nearly completely rewritten user interface and theme as well as some technologies that Pale Moon has chosen not to implement.

      • [^] # Re: Support Palemoon ?

        Posté par (page perso) . Évalué à 1.

        OK dommage :( J'attendrais la version Chrome ou JS générique alors :)

        Je sais pas pourquoi j'ai été moinssé, y'a un sentiment anti-Palemoon sur LinuxFR ou je sais pas ?

        « Je vois bien à quels excès peut conduire une démocratie d'opinion débridée, je le vis tous les jours. » (Nicolas Sarkozy)

        • [^] # Re: Support Palemoon ?

          Posté par (page perso) . Évalué à 3.

          Question au passage: quel intérêt trouves-tu à Palemoon, par rapport à un Firefox rutilant avec deux ou trois extensions pour rétablir son apparence pré-Australis? Les performances promises sur le site sont-elles vraiment observables?

          Écrit en Bépo selon l’orthographe de 1990

          • [^] # Re: Support Palemoon ?

            Posté par (page perso) . Évalué à 2.

            Avantage 1 : justement pas besoin d'installer et configurer des extensions pour avoir un navigateur utilisable, et pas besoin de se prendre la tête à chaque mise à jour non plus.

            Avantage 2 : oui, plus rapide, mais le fait qu'il y ait besoin d'une dizaines d'extensions de moins ça doit déjà aider, mais clairement je constate la différentce, j'ai en permanence une centaine d'onglets ouverts et clairement ça se sens avec Firefox, c'est beaucoup plus réactif.

            Mais c'est surtout pour avoir une interface agréable et fonctionnelle. Mais il y a aussi pas mal d'autres avantages, ce n'est pas juste une version de Firefox c'est un fork complet, donc par exemple il y a une option pour désactiver l'autoplay des vidéos HTML5 scriptées, ce qui n'existe pas dans Firefox à ma connaissance.

            « Je vois bien à quels excès peut conduire une démocratie d'opinion débridée, je le vis tous les jours. » (Nicolas Sarkozy)

            • [^] # Re: Support Palemoon ?

              Posté par (page perso) . Évalué à 2.

              donc par exemple il y a une option pour désactiver l'autoplay des vidéos HTML5 scriptées, ce qui n'existe pas dans Firefox à ma connaissance.

              about:configmedia.autoplay.enabled (je l’avais mentionné dans une dépêche sur Firefox). En revanche je ne sais si ça a exactement le même comportement que sur Firefox (sur Youtube la vidéo ne se démarre pas automatiquement mais le bouton du lecteur indique que la vidéo est démarrée…).

              Écrit en Bépo selon l’orthographe de 1990

  • # Version en ligne

    Posté par . Évalué à 6.

    Du coup, maintenant que grammalecte existe en javascript, est-ce que l'on va voir sortir une version en ligne ? Ce serait bien. J'aimerais bien pouvoir juste envoyer un lien à mes connaissances, pour que tous ceux qui ne savent même pas ce qu'est une extension de navigateur, ou qui utilisent un autre navigateur puissent quand même s'en servir.

    • [^] # Re: Version en ligne

      Posté par . Évalué à 2.

      Ce serait quand même assez relou de devoir aller sur une page web pour écrire du texte ?

      Pour que les gens utilisent vraiment ce genre d'outils, il faut que ce soit intégré aux outils qu'on utilise !

      Mais bon, théoriquement, je pense que la réponse à ta question sera oui techniquement ce sera faisable :)

  • # Génial

    Posté par . Évalué à 0.

    Génial, merci pour l'annonce, c'est ajouté à mon Firefox/Iceweasel, content que ma maigre aide est contribué à la sortie de cette version Firefox de Grammalecte :)

    Je remercie aussi le développeur de Grammalecte, pour ses efforts, recherches et surtout pour son travail superbe !

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.